ConfigurationDynaClass (Apache Commons Configuration 2.15.1 API)
Description: declaration: package: org.apache.commons.configuration2.beanutils, class: ConfigurationDynaClass

Package org.apache.commons.configuration2.beanutils

# Class ConfigurationDynaClass

java.lang.Object
org.apache.commons.configuration2.beanutils.ConfigurationDynaClass

All Implemented Interfaces:
  `org.apache.commons.beanutils.DynaClass`

public class ConfigurationDynaClass extends Object implements org.apache.commons.beanutils.DynaClass
The `ConfigurationDynaClass` dynamically determines properties for a `ConfigurationDynaBean` from a wrapped configuration-collection `Configuration` instance.

Since:
  1.0-rc1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigurationDynaClass(Configuration configuration)`
  Constructs an instance of a `ConfigurationDynaClass` wrapping the specified `Configuration` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.commons.beanutils.DynaProperty[]`
  `getDynaProperties()`
  `org.apache.commons.beanutils.DynaProperty`
  `getDynaProperty(String name)`
  `String`
  `getName()`
  `org.apache.commons.beanutils.DynaBean`
  `newInstance()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConfigurationDynaClass

    public ConfigurationDynaClass(Configuration configuration)
    Constructs an instance of a `ConfigurationDynaClass` wrapping the specified `Configuration` instance.
    Parameters:
      `configuration` - `Configuration` instance.

- ## Method Details

  - ### getDynaProperties

    public org.apache.commons.beanutils.DynaProperty[] getDynaProperties()
    Specified by:
      `getDynaProperties` in interface `org.apache.commons.beanutils.DynaClass`

  - ### getDynaProperty

    public org.apache.commons.beanutils.DynaProperty getDynaProperty(String name)
    Specified by:
      `getDynaProperty` in interface `org.apache.commons.beanutils.DynaClass`

  - ### getName

    public String getName()
    Specified by:
      `getName` in interface `org.apache.commons.beanutils.DynaClass`

  - ### newInstance

    public org.apache.commons.beanutils.DynaBean newInstance() throws IllegalAccessException, InstantiationException
    Specified by:
      `newInstance` in interface `org.apache.commons.beanutils.DynaClass`
    Throws:
      `IllegalAccessException`
      `InstantiationException`